%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This function creates the actual design space to be analysed. 
% It is assumes that one never will reduce the level of equipment on a
% vessel. Thus, only designs with equal or more equipment capability that
% the initial design (Start_Design) is analysed
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [Space_Design] = Create_Space_Design(Space_Design_New,N_Space_Design_New,N_Var_Design,Start_Design) 

for nn = 1:N_Space_Design_New
    for vv = 1:N_Var_Design
        if Space_Design_New(nn,vv) < Start_Design(1,vv)
            Delete(nn) = 1; % Design nn does not hold the assumption 
            break
        else
            Delete(nn) = 0; % Design nn holds the assumption 
        end
    end
end

A = find(Delete == 0); % Find those vessel numbers that holds the assumption
[~, N_A] = size(A); % Find the number of vessel that holds the assumption

% Create design space to analyse (i.e. Space_Design)
counter = 1; % Counter 
Space_Design = zeros(N_A,N_Var_Design);
for aa = 1:N_A
Space_Design(counter,:) = Space_Design_New(A(aa),:); 
counter = counter + 1;
end