%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This function samples the day rates for one realisation of a vessels life
% cycle
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [Sample_DayRates] = Sample_Dayrates(Sample_Market, Lifetime,N_Strategy,N_Space_Mission,ScalingFactor,Dayrates_Data)

    % Collect simulation of market state
    Market_state = Sample_Market;

    SampleDayRates = cell(1,N_Strategy);
    
    for kk = 1:N_Strategy 
        for mm = 1:N_Space_Mission
            drift = 0;
            for tt = 2: Lifetime + 2
                drift = drift + normrnd(0.05,0.05);
                % for short and long-term strategy, kk) 
                SF = ScalingFactor(kk); 
                % mean of normal distribution
                Mean = Dayrates_Data{1,Market_state(tt)}(mm,1);
                % standard deviation of normal distribution 
                Std = Dayrates_Data{1,Market_state(tt)}(mm,2);
                % dayrate sample
                SampleDayRates{1,kk}(mm,tt) = drift*ScalingFactor(kk)*normrnd(Mean,Std);
            end
        end 
    end
    
    Sample_DayRates = SampleDayRates; % Output
   
end