%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This function calculates the cost of switching from one design (ss)
% configuration to another (sss) for each design analysed (ii). 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [switch_cost] = SwitchCost(Switch_CM,N_Space_Design, N_Var_Design, Space_Design,Change_CM,N_Design)  

% Create matrix for analysis
S_cost = cell(N_Design,1);
for ii = 1:N_Design
    S_cost{ii,1} = zeros(N_Space_Design); 
end

% Calculate switching cost for each design ii, switching between design
% configuration ss to sss. 
for ii = 1:N_Design
    for ss = 1:N_Space_Design
        SystemVector_curr = Space_Design(ss,:);
        for sss = 1:N_Space_Design
            SystemVector_next = Space_Design(sss,:);
            for sv = 1:N_Var_Design
                S_cost{ii}(ss,sss) = S_cost{ii}(ss,sss) + Change_CM(ii,sv).*Switch_CM{sv}(SystemVector_curr(sv),SystemVector_next(sv));
            end
        end
    end
end

% Prepear output
switch_cost = S_cost;
end

