%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This function selects which action to take. This conserns both which
% design configuration and strategy to take.  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [action_idx, tt_next] = ActionSelection(TT_action,QMatrix, ITER, N_ITERATIONS_Q, TT_current, LIFETIME, TIME_long, TIME_short,STATE_idx_action, SPACE_Action, NN_Space_Action)
        
    % Select epsilon statin the probabillity of exploration. 
    % Epsilon = 1 -> always pick randon action. Epsilon = 0 -> always pick 
    % best option.  
        
    if ITER <= 0.1*N_ITERATIONS_Q
        epsilon = 1;
    elseif ITER <= 0.2*N_ITERATIONS_Q
        epsilon = 0.9;
    elseif ITER <= 0.3*N_ITERATIONS_Q
        epsilon = 0.8;
    elseif ITER <= 0.4*N_ITERATIONS_Q
        epsilon = 0.7;
    elseif ITER <= 0.5*N_ITERATIONS_Q
        epsilon = 0.6;
    elseif ITER <= 0.6*N_ITERATIONS_Q
        epsilon = 0.5;
    elseif ITER <= 0.7*N_ITERATIONS_Q
        epsilon = 0.4;
    elseif ITER <= 0.8*N_ITERATIONS_Q
        epsilon = 0.3;
    elseif ITER <= 0.9*N_ITERATIONS_Q
        epsilon = 0.2;
    else %iter <= 1*N_Interations_Q
        epsilon = 0.1;
    end
       
    % Select action 
    r = rand; % Pick a random number in [0,1]
    x = sum(r >= cumsum([0,1-epsilon,epsilon])); %[ 0, prob(Exploit), prob(Explore)
    if x == 1 % Model shall exploit if r lies in the intervall [0; 1-epsilon] 
        if TT_current <= (LIFETIME +2 - TIME_long) % All actions can be taken
            [~,action_idx] = max(QMatrix{1,TT_action}(STATE_idx_action,[1:1:NN_Space_Action]));% Find the action that maximized Q 
        else % Can only select short-term contract or sell
            x = [1:3:NN_Space_Action]; % Sjort-term actions
            y = [3:3:NN_Space_Action]; % Scraping actions
            H = [x;y];
            H = H(:);
            [~,pos_H] = max(QMatrix{1,TT_action}(STATE_idx_action,H));% Find the action that maximized Q 
            action_idx = H(pos_H);
        end
    else % Model shall explore if r lies in the intevall [1- epsilon, epsilon] 
        if TT_current <= (LIFETIME +2 - TIME_long)
            action_idx = randsample(NN_Space_Action,1);
        else % Can only select short-term contract or sell
            action_idx = randsample(find(SPACE_Action(:,2) == 1 | SPACE_Action(:,2) == 3 ),1);
        end
    end 
            
    % Time to next selection epoch 
    if SPACE_Action(action_idx,2) == 1 % Short-term contract
        tt_next = TIME_short; 
    elseif SPACE_Action(action_idx,2) == 2 % Long-term contract
        tt_next = TIME_long;  
    else % scrap/sell
        tt_next = inf; % The interation will end 
    end           
end % Function 
